A plugin for testing the compatibility of a Gradle plugin against a list of Gradle releases.

apply plugin : 'org.ysb33r.gradletest'

gradleTest {
    versions '5.0', '5.1.1', '5.2.1', '5.3-rc-3'
    versions '4.9', '4.10.2'
    versions '4.5.1', '4.6', '4.7', '4.8.1'
    versions '4.0.2', '4.1', '4.2.1', '4.3.1', '4.4.1'
    versions '3.5', '3.4.1'
    versions '3.3', '3.2.1', '3.1', '3.0'

    beforeTest {
        println "  ${it.name}"
    }
}
Table 1. Product version documentation

2.0-rc.4

Docs

Groovydoc

Changelog

1.1

Docs

Groovydoc

Changelog

1.0

Docs

Groovydoc

Changelog

0.5.5

Docs

Groovydoc

Changelog

Contributors

A special thank you goes to:

If you would like to contribute, please see HACKING.adoc